MT2CT(1L)

NAME
mt2ct, month2ct, cal2ct - appointment file conversion utilities

SYNOPSIS
mt2ct [ file ]
month2ct [ file ]
cal2ct [ -d date ] [ -r days ] [ -f outfile ] [ -e ] [ file ]

DESCRIPTION
Calentool uses an appointment file format that is incompatable with several other calendar or reminder programs. These utilities may be used to convert from one of those formats to the format calentool uses.

Mt2ct converts files maintained by monthtool(1L) to calentool's .appointment format. Month2ct converts files maintained by month(1L) to calentool's .appointment format. Cal2ct converts files maintained by calendar(1) to calentool's .appointment format. In all cases the converted file is written to "$HOME/.appointments".

OPTIONS
An optional filename may be specified for all of the tools to convert. The default filename depends on the specific conversion. For monthtool it is "$HOME/.monthtool". For month it is "$HOME/.month". For calendar it is "$HOME/.calendar".

In addition, cal2ct accepts the following arguments:

-d date
    Only convert dates on or after the day date, which may take on several formats:

    day of current week:
        Tue, Th, fr, MONDAY

    numeric dates:
        DD (day DD of current month, for example 27 for the 27th of this month)
        MO/DD (day DD of month MO, for example 11/12 for November 12)
        MO/DD/YY (day DD of month MO, year YY, for example 9/1/88 for 1 September 1988). (If the -e option is used, the date format is DD/MO and DD/MO/YY.

    relative dates:
        +n (n days from now, for example +1 for tomorrow)
        -n (n days ago, for example -1 for yesterday)

    special names:
        yesterday, today, tommorrow

-r days
    Only convert entries for days days following the starting date. The starting date is either today's date or the date set via the -d option. If days is set to 0, only entries corresponding to date will be converted.

-e  Change the format for the date set via the -d option to expect DD/MM format rather than the normal MM/DD format.

-f outfile
    Write the converted output into outfile rather than the default $HOME/.appointments.

SEE ALSO
calentool(1L), monthtool(1L), month(1L), calendar(1)

AUTHOR
Bill Randle (Tektronix, Inc., billr@saab.CNA.TEK.COM)

BUGS
Monthtool and month allow any time selections. Because calentool only has 30 minute timeslots, all times are rounded to the nearest 30 minute interval (e.g. 1:10 becomes 1:00, 1:20 becomes 1:30 and 1:50 becomes 2:00). All calendar file entries are converted to calentool notes, since calendar does not have a standardized way of indicating times. They can be manually moved to the proper timeslot using calentool's cutandpaste operations. Also, the calendar file entries must have the date at the start of the line. Cal2ct also does not invoke the C-preprocessor on the calendar file before processing.